## lua-coxpcall 1.14.0

=== Makefile ===
# $Id: Makefile,v 1.3 2008/01/22 18:39:18 mascarenhas Exp $

config_file:=config

ifneq '$(wildcard $(config_file))' ''
include $(config_file)
endif

$(config_file):
	chmod +x configure

install: $(config_file)
	mkdir -p $(LUA_DIR)
	cp src/coxpcall.lua $(LUA_DIR)/

install-rocks: install
	mkdir -p $(PREFIX)/doc
	cp -r doc/* $(PREFIX)/doc
	echo "Go to $(PREFIX) for docs!"

## lua-coxpcall 1.13.0

=== debian/changelog ===
lua-coxpcall (1.13.0-5) unstable; urgency=low

  * Fixed override dh_auto_clean target

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Apr 2012 16:04:55 +0200

lua-coxpcall (1.13.0-4) unstable; urgency=low

  * Update debian/copyright to format 1.0
  * Switch to dh-lua
  * Packages renamed according to the new Lua policy
  * Bumped standards-version to 3.9.3, no changes
  * Update watch file 
  * debian/compat set to 8 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Apr 2012 09:47:18 +0200

lua-coxpcall (1.13.0-3) unstable; urgency=low

  * source format 3.0 (quilt)
  * bumped standards-version to 3.9.2, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 22:25:37 +0200

lua-coxpcall (1.13.0-2) unstable; urgency=low

  * bumped standards-version to 3.8.2, no changes
  * build-depend on lua5.1-policy-dev >= 22 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 17:00:12 +0200

lua-coxpcall (1.13.0-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 21 May 2008 16:05:22 +0200

lua-coxpcall (1.12.0-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 10 May 2008 13:34:23 +0200

lua-coxpcall (1.11.0+cvs20080310-2) unstable; urgency=low

  * Added Conflicts with old versions of xavante (Closes: #475964)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 17 Apr 2008 09:27:04 +0200

lua-coxpcall (1.11.0+cvs20080310-1) unstable; urgency=low

  * Initial release. (Closes: #472789)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 26 Mar 2008 11:39:37 +0100

=== debian/control ===
Source: lua-coxpcall
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), dh-lua
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-coxpcall
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-coxpcall
Homepage: https://github.com/keplerproject/coxpcall

Package: lua-coxpcall
Architecture: all
Conflicts: xavante (<< 2.0~rc1-1)
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblua5.1-coxpcall0 (<< 1.13.0-4~)
Breaks: liblua5.1-coxpcall0 (<< 1.13.0-4~)
Provides: liblua5.1-coxpcall0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Protected function calls across coroutines for Lua
 This package contains coxpcall, a Lua library that extends the protected
 call mechanism typical of Lua (xpcall and pcall) allowing it to cross 
 coroutines boundaries.
 .
 This package also contains the documentation.

Package: liblua5.1-coxpcall0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-coxpcall
Description: Transitional package for lua-coxpcall
 This is a transitional package to ease upgrades to the lua-coxpcall
 package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_clean:
	rm -f coxpcall.lua
	dh_auto_clean

override_dh_auto_configure:
	ln -s src/coxpcall.lua
	dh_auto_configure

## lua-coxpcall 1.14.0

=== debian/changelog ===
lua-coxpcall (1.14.0-2) unstable; urgency=low

  * Removed ancient Conflicts in control 
  * Use Expat instead of MIT/X in copyright 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 23 Aug 2013 15:46:41 +0200

lua-coxpcall (1.14.0-1) unstable; urgency=low

  * New upstream release supporting Lua 5.2
  * Packaging moved to git
  * Transitional packages removed

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 17:20:10 +0200

lua-coxpcall (1.13.0-6) unstable; urgency=low

  * Clean up debian/rules
  * Build-depend on dh-lua >= 12 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 17:19:28 +0200

=== debian/control ===
Source: lua-coxpcall
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), dh-lua (>= 12)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-coxpcall.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-coxpcall.git
Homepage: https://github.com/keplerproject/coxpcall

Package: lua-coxpcall
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Protected function calls across coroutines for Lua
 This package contains coxpcall, a Lua library that extends the protected
 call mechanism typical of Lua (xpcall and pcall) allowing it to cross 
 coroutines boundaries.
 .
 This package also contains the documentation.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-coxpcall
#
version=3
http://github.com/keplerproject/coxpcall/downloads /downloads/.*/coxpcall-([\d\.]*).tar.gz

## lua-coxpcall 1.17.0

=== Makefile ===
# $Id: Makefile,v 1.3 2008/01/22 18:39:18 mascarenhas Exp $

config_file:=config

DESTDIR ?= /

ifneq '$(wildcard $(config_file))' ''
include $(config_file)
endif

$(config_file):
	chmod +x configure

install: $(config_file)
	mkdir -p $(DESTDIR)$(LUA_DIR)
	cp src/coxpcall.lua $(DESTDIR)$(LUA_DIR)/

install-doc: install
	mkdir -p $(DESTDIR)$(DOC_PREFIX)/doc
	cp -r doc/* $(DESTDIR)$(DOC_PREFIX)/doc
	echo "Go to $(DOC_PREFIX) for docs!"

=== debian/changelog ===
lua-coxpcall (1.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * control:
    + Update Vcs-* to refer to Salsa
    + Change Homepage to keplerproject.github.io URL
    + Set Rules-Requires-Root=no
  * Bump debheper compat/Build-Depends to 11
  * Make watch file work with GitHub again
  * Include lua5.3 support
  * Declare compliance with Policy 4.4.1, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 14 Dec 2019 15:42:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8), dh-lua (>= 12)
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-coxpcall.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-coxpcall.git
-Homepage: https://github.com/keplerproject/coxpcall
+Build-Depends: debhelper (>= 11~), dh-lua (>= 12)
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/lua-team/lua-coxpcall.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-coxpcall
+Homepage: https://keplerproject.github.io/coxpcall/
 
 Package: lua-coxpcall
 Architecture: all

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-coxpcall
version=4
opts="filenamemangle=s/.+\/v?(\d+)_(\d+)_(\d+)\.tar\.gz/@PACKAGE@-$1.$2.$3\.tar\.gz/, uversionmangle=s/(\d+)_(\d+)_(\d+)/$1.$2.$3/" \
https://github.com/keplerproject/coxpcall/tags .*/v?(\d+_\d+_\d+)\.tar\.gz
